package com.xugame.gameconsole.dialog;

import android.content.Context;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.RelativeLayout;

import com.xugame.gameconsole.R;
import com.xugame.gameconsole.dialog.loadingview.SpinKitView;
import com.xugame.gameconsole.util.Util;

public class LoadingDialog extends BaseDialog {
    private static final String TAG = "LoadingDialogTAG";
    private Context mContext;
    private SpinKitView mSpinKitView;

    protected LoadingDialog(Context context, int themeResId) {
        super(context, themeResId);
        mContext=context;
        this.init();
    }

    public LoadingDialog(Context context) {
        super(context,R.style.DialogNoPadding);
        mContext=context;
        this.init();
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        int w = Util.getSize(1920);
        int h = Util.getSize(1080);
        getWindow().setLayout(w, h);
        super.onCreate(savedInstanceState);

    }

    private void init() {
        View view = LayoutInflater.from(mContext).inflate(R.layout.dialog_loadging, null);
        mSpinKitView = view.findViewById(R.id.spin_kit_view);
        setContentView(view);
    }

    @Override
    public void dismiss() {
        super.dismiss();
    }
}
